import java.io.*;

public class GenReads {
    public static void main(String[] args) {
	if (args.length != 3) {
	    System.out.println("Usage: genRead psg readLen numReads");
	    System.exit(0);
	}

	String filename = args[0];
	int howLong = Integer.parseInt(args[1]);
	int numReads = Integer.parseInt(args[2]);

	SpliceGraph s = new SpliceGraph(filename);

	s = new SpliceGraph(filename);
	String[] reads_1 = s.generateReads(numReads,howLong);
	
	String newfile = filename.substring(0,filename.length()-4);
	newfile += ".reads";
	try {
	    BufferedWriter out = new BufferedWriter(new FileWriter(newfile));
	    for (int i=0; i<reads_1.length; i++) {
		out.write(reads_1[i]);
		out.newLine();
	    }
	    out.close();
	}
	catch (IOException ioe) {
	    System.out.println("Couldn't write file");
	    System.exit(0);
	}
    }
}